Subject: RE: DTLS for Dummies wasRe: [Isms] Coming to consensus

From: "Khanh Nguyen \(khanhvn\)" <[email-masked]>
Date: Fri, 1 Jul 2005 10:44:26 -0700

As far as I remember, DTLS acknowledgement/retransmission are used only
during initial handshaking.  DTLS data are not ack'ed and thus not
reliable.  The use of seq # as Tom said will provide replay protection
though.  Encryption and MAC are similar to TLS, except explicit CBC IV &
seq # is used.

In terms of connection establishment, DTLS has more overhead than TLS
because of extra handshake messages (6 packets in DTLS vs 4 in TLS).

Khanh

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Tom Petch
> Sent: Friday, July 01, 2005 6:01 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: DTLS for Dummies wasRe: [Isms] Coming to consensus
> 
> Juergen
> 
> DTLS is a single I-D, namely draft-rescorla-dtls-04.txt, 
> 25pp; I am not sure if it is standards track.
> 
> It adds epoch and sequence number, 64bit, to a TLS packet, 
> retransmits on timeout, may detect duplicate/replayed packets.
> 
> I would not say it introduces the concept of a session to 
> UDP; except insofar as one is implied by the 5-tuple of 
> protocol, ports and IP addresses.
> 
> Tom Petch
> 
> ----- Original Message -----
> From: "Juergen Schoenwaelder" <[email-masked]>
> To: "Ken Hornstein" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, July 01, 2005 9:41 AM
> Subject: Re: [Isms] Coming to consensus
> 
> 
> > On Thu, Jun 30, 2005 at 06:31:25PM -0400, Ken Hornstein wrote:
> >
> > > Of these three obvious choices, the first two really want 
> a stream 
> > > transport (TCP).  Obviously, DTLS does not.
> >
> > Can someone explain DTLS for dummies please? In particular, I would 
> > like to know what the header size is that we have to add to SNMP 
> > messages for DTLS. In addition, I would like to know what 
> the effort 
> > is to establish a DTLS session and more important how long 
> such a DTLS 
> > session will last or when it needs to be renewed.
> >
> > /js
> >
> > --
> > Juergen Schoenwaelder     International University Bremen
> > <http://www.eecs.iu-bremen.de/>     P.O. Box 750 561, 28725 
> Bremen, Germany
> >
> > _______________________________________________
> > Isms mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/isms
> 
> 
> _______________________________________________
> Isms mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isms
> 

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms